Subject: N900 device tree conversion: how to do first step

From: [email-masked] (Tony Lindgren)
Date: Thu, 13 Jun 2013 07:10:01 -0700

* Pavel Machek <[email-masked]> [130613 06:32]:
> Hi!
> 
> > > I'd like to convert Nokia N900 to device tree.
> > > 
> > > Unfortunately, serial port is not easily available (very special cable
> > > would be needed, does someone know where to get one?) and I don't have
> > > BDI (and very special cable would be needed, too).
> > > 
> > > So I tried doing very small first step, hoping that I get booting
> > > system... obviously I did not.
> > 
> > The following works for me, it's enough to boot and get the USB networking
> > working. After that I can connect to the device with ssh. I don't use
> > serial either, I just have initramfs with busybox+dropbear with hardcoded
> > interface setup.
> 
> Nice.... thanks a lot.
> 
> Did you get video to work with the device tree? That's what I'd like
> to accomplish now.

The DSS code is still using pdata, see mach-omap2/dss-common.[ch].
 
> If I init spi manually (and some more hacks), it works in the
> qemu. But I have not tested on real hw for a while.

You should be able to initialize spi by adding the .dts entry,
or is there something missing in drivers/spi/spi-omap2-mcspi.c?

Regards,

Tony